import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

import java.io.IOException;

public class AnnualIndustrialPowerMapper extends Mapper<LongWritable, Text, Text, DoubleWritable> {
    private Text outKey = new Text("Total-2023");
    private DoubleWritable outValue = new DoubleWritable();

    @Override
    protected void map(LongWritable key, Text value, Context context) throws IOException, InterruptedException {
        String[] fields = value.toString().split(",");
        if (fields.length == 5 && "Industrial-Power-Usage".equals(fields[3]) && fields[0].startsWith("2023")) {
            double powerUsage = Double.parseDouble(fields[4]);
            outValue.set(powerUsage);
            context.write(outKey, outValue);
        }
    }
}