import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

import java.io.IOException;

public class MonthlyResidentialPowerMapper extends Mapper<LongWritable, Text, Text, DoubleWritable> {
    private Text outKey = new Text();
    private DoubleWritable outValue = new DoubleWritable();

    @Override
    protected void map(LongWritable key, Text value, Context context) throws IOException, InterruptedException {
        String[] fields = value.toString().split(",");
        if (fields.length == 5 && "Residential-Power-Usage".equals(fields[3])) {
            String date = fields[0];
            String yearMonth = date.substring(0, 7); // 提取年月
            double powerUsage = Double.parseDouble(fields[4]);
            outKey.set(yearMonth);
            outValue.set(powerUsage);
            context.write(outKey, outValue);
        }
    }
}