import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

import java.io.IOException;

public class ProvinceMaxDailyPowerMapper extends Mapper<LongWritable, Text, Text, Text> {
    private Text outKey = new Text();
    private Text outValue = new Text();

    @Override
    protected void map(LongWritable key, Text value, Context context) throws IOException, InterruptedException {
        String[] fields = value.toString().split(",");
        if (fields.length == 5 && fields[0].startsWith("2023")) {
            String province = fields[1];
            String date = fields[0];
            String loadType = fields[3];
            double powerUsage = Double.parseDouble(fields[4]);
            outKey.set(province);
            outValue.set(String.format("%s:%s:%.2f", date, loadType, powerUsage));
            context.write(outKey, outValue);
        }
    }
}